# tsdb-kit

TSDB-kit is a node.js library and CLI-tool for querying timeseries-datasources.

## Features

- can query datasources directly or using Grafana as proxy
- can be used as a lib from your node.js-code or as a CLI-tool
- user gets a unified interface to all datasources. Library gives single output format: fields order, time units, etc.

## Supported datasources

### Direct

* Prometheus

### Grafana

* Influxdb
* Graphite
* Prometheus
* PostgreSQL / TimescaleDB / MySQL
* ElasticSearch

Please write us at ping@corpglory.com if you want your datasource to be supported

## Usage

### Lib (TODO)

### CLI

For now, CLI supports only direct Prometheus queries

For example:

`npx @corpglory/tsdb-kit -U http://localhost:9090 -q '100-(avg by (instance) (irate(node_cpu_seconds_total{mode="idle"}[5m])) * 100)' -u my_user -p my_password`


## Development (TODO)

## Projects based on library
* [grafana-data-exporter](https://github.com/CorpGlory/grafana-data-exporter)
* [Hastic](https://github.com/hastic/hastic-server)
