const webpack = require('webpack');
const path = require('path');


module.exports = {
  mode: 'development',
  target: 'node',
  devtool: 'inline-source-map',
  entry: {
    main: './src/tsdb-kit/index.ts',
  },
  output: {
    path: path.resolve(__dirname, './bin'),
    filename: 'tsdb-kit.js'
  },
  plugins: [
    new webpack.BannerPlugin({ banner: "#!/usr/bin/env node", raw: true }),
  ],
  resolve: {
    extensions: ['.ts', '.js'],
  },
  module: {
    rules: [
      {
        test: /.ts$/,
        loader: 'ts-loader',
        options: {
          configFile: 'bin.tsconfig.json'
        }
      }
    ]
  }
};
